﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 を参照してください

namespace Myapp01
{
    /// <summary>
    /// それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private bool status_ledRed   = false;
        private bool status_ledGreen = false;
        private bool status_ledBlue  = false;

        public MainPage()
        {
            this.InitializeComponent();
        }

        // 消灯時は、画面上の色丸のOpacityを20%にする。0％だと色が分からなくなるため
        private void buttonRed_Click(object sender, RoutedEventArgs e)
        {
            if (status_ledRed)
            {
                ledRed.Opacity = 0.2;
                status_ledRed = false;
            }
            else
            {
                ledRed.Opacity = 1.0;
                status_ledRed = true;
            }
        }

        private void buttonGreen_Click(object sender, RoutedEventArgs e)
        {
            if (status_ledGreen)
            {
                ledGreen.Opacity = 0.2;
                status_ledGreen = false;
            }
            else
            {
                ledGreen.Opacity = 1.0;
                status_ledGreen = true;
            }
        }

        private void buttonBlue_Click_1(object sender, RoutedEventArgs e)
        {
            if (status_ledBlue)
            {
                ledBlue.Opacity = 0.2;
                status_ledBlue = false;
            }
            else
            {
                ledBlue.Opacity = 1.0;
                status_ledBlue = true;
            }
        }
    }
}
